export const state = () => ({
  lastShownFillPercentage: 0,
  goal: undefined,
  consumption: 0
})

export const mutations = {
  setFillPercentage(state, fillPercentage) {
    state.lastShownFillPercentage = fillPercentage
  },

  setGoal(state, goal) {
    state.goal = goal
  },

  setConsumption(state, consumption) {
    state.consumption = consumption
  }
}

export const getters = {
  lastShownFillPercentage(state) {
    return state.lastShownFillPercentage
  },
  goal(state) {
    return state.goal
  },
  consumption(state) {
    return state.consumption
  },
  fillPercentage(state) {
    return Math.min(100, Math.floor(state.consumption / state.goal * 100))
  }
}
